summaryrefslogtreecommitdiffstats
path: root/source/l/system-config-printer/system-config-printer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/system-config-printer/system-config-printer.SlackBuild')
-rwxr-xr-xsource/l/system-config-printer/system-config-printer.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/l/system-config-printer/system-config-printer.SlackBuild b/source/l/system-config-printer/system-config-printer.SlackBuild
index 17bc73274..8ba12a89c 100755
--- a/source/l/system-config-printer/system-config-printer.SlackBuild
+++ b/source/l/system-config-printer/system-config-printer.SlackBuild
@@ -26,7 +26,7 @@
# Set initial variables:
PKGNAM=system-config-printer
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -90,8 +90,8 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make $NUMJOBS udevrulesdir=/lib/udev/rules.d udevhelperdir=/lib/udev || make || exit 1
+make install DESTDIR=$PKG udevrulesdir=/lib/udev/rules.d udevhelperdir=/lib/udev || exit 1
# Slackware does not use PAM. Instead, your user must be in group 'lp'.
sed -i -e 's/at_console="true"/group="lp"/g' \